<?php
	require_once('../../phplibs/castiron.inc.php');
	require_once(CI_PATH_HTDOCS.'/api/module.php');

	header('Content-type: text/xml');

	$url_args=$_REQUEST['xml'] ? ci_get_unserialized_xml($_REQUEST['xml']) : $_REQUEST;
	if ($url_args['admpwd'] && CI_AUTH::check_password('admin', $url_args['admpwd']))
	{
		CI_AUTH::login('admin');
	}

	CI_AUTH::require_auth('admin', array('reply' => 'xml'));

	$module=preg_replace("/\W/", '', $url_args['module']);
	$module_file="module.$module.php";

	if (!file_exists($module_file))
	{
		$reply=array(
			'type'		=> 'error',
			'reason'	=> 'unknown-module'
		);
		
		echo ci_get_serialized_xml($reply, 'reply');
	}
	else
	{
		$module_class="S2P_API_MODULE_".strtoupper($module);
		
		include($module_file);
		$obj=new $module_class();

		echo ci_get_serialized_xml($obj->run($url_args), 'reply');
	}

	exit;
?>