<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/system.inc.php');
	require_once(CI_PATH_LIBS.'/loadbar.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/core.inc.php');
	require_once(CI_PATH_LIBS.'/skype.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$skype=new CI_CORE_SKYPE();
	$skype->open();
	$skype_status=$skype->get_sessions_status();

	$table=new CI_TABLES();
	$table->set_headers(array(
		'icon'			=> '&nbsp;',
		'account'		=> ci_lbl('system.channels.account'),
		'desc'			=> ci_lbl('system.channels.desc'),
		'status'		=> ci_lbl('system.channels.status'),
		'direction'		=> ci_lbl('system.channels.direction'),
		'partner'		=> ci_lbl('system.channels.partner'),
		'duration'		=> ci_lbl('system.channels.duration'),
		'balance'		=> ci_lbl('system.channels.balance')
	));

	$manager=new CI_SKYPE();
	$items=$manager->get_list();
	foreach ($items as $item)
	{
		if ($skype_status[$item['skype_username']]['status'] == 'disabled') continue;

		if ($skype_status[$item['skype_username']]['status'] == 'zombie')		$status_led='yellow';
		elseif ($skype_status[$item['skype_username']]['status'] == 'ready')	$status_led='green';
		else																	$status_led='red';

		$table->add_line(array(
			'icon'		=> '<img src="icons/leds/'.$status_led.'.png" alt="" />',
			'account'	=> $item['skype_username'],
			'desc'		=> $item['desc'],
			'status'	=> strtoupper($skype_status[$item['skype_username']]['status']),
			'direction'	=> $skype_status[$item['skype_username']]['direction'] ? '<img align="absmiddle" src="icons/calllog/'.$skype_status[$item['skype_username']]['direction'].'.png" alt="" />&nbsp;'.strtoupper($skype_status[$item['skype_username']]['direction']) : '',
			'partner'	=> $skype_status[$item['skype_username']]['partner'],
			'duration'	=> $skype_status[$item['skype_username']]['time'] ? ci_readable_duration(time()-$skype_status[$item['skype_username']]['time']) : '',
			'balance'	=> number_format($skype_status[$item['skype_username']]['balance']/100, 2).' '.$skype_status[$item['skype_username']]['balance-currency']
		));
	}
?>
<script type="text/javascript">
	ci_set_reload_page(10000);
</script>

<div class="title"><?php echo ci_lbl("system.channels.title") ?></div>
<div class="help"><?php echo ci_hlp("system.channels") ?></div>

<?php echo $table->get(); ?>


