<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'update'				=> array('type' => 'file')
			)
		)
	);

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_ajax(false);
	$form->set_action('system/updates/load_update.php');
	$form->set_fields($fields);
	$form->set_tabs_label_prefix('system.updates.load.tab-');
	$form->set_fields_label_prefix('system.updates.load.fld-');

	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save':
				$('form').do_submit();
				break;
		}
	}
</script>

<div class="title"><?php echo ci_lbl("system.updates.load.title") ?></div>
<div class="warn_block"><?php echo ci_lbl("system.updates.load.warning-text") ?></div>
<?php echo $form->get() ?>
