#!/bin/bash

timezone=$1

if [ -z "$timezone" ]; then
	exit -1
fi

is_valid=`cat /usr/share/zoneinfo/zone.tab |awk '{print \$3;}'|grep "^$timezone$" -c`
if [[ $is_valid -ne 1 ]]; then
	exit -1
fi

unlink /etc/localtime
ln -sf "/usr/share/zoneinfo/$timezone" /etc/localtime
